gnutls_certificate_type_get_id(3)

NAME
gnutls_certificate_type_get_id - Returns the gnutls id of the specified in string type

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_certificate_type_t gnutls_certificate_type_get_id(const char * name);

ARGUMENTS

const char * name
    is a certificate type name

DESCRIPTION
The names are compared in a case insensitive way.

RETURNS
an gnutls_certificate_type_t for the specified in a string certificate type, or GNUTLS_CRT_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.